// common messages
var msg_blank = "%s can not be blank.\n";
var msg_space = "Blanks or spaces are not allowed in %s\n";
var msg_blank_in = "Blanks are not allowed in %s\n";
var msg_invalid = "\nInvalid character or characters in %s\nValid characters are: \n%s\n\n";
var msg_check_invalid = "%s contains an invalid number.\n";
var msg_greater = "%s must be greater than %s \n" ;
var msg_less = "%s must be less than %s \n";
var msg_outofrange = "%s is out of range [ %s ~ %s ] \n";
var msg_first = "First";
var msg_second = "Second";
var msg_third = "Third";
var msg_fourth = "Fourth";
var msg_no_radio = "No entry selected. \nClick a radio button to select an entry.\n";
var msg_invalid_ip = "Invalid IP, please enter again.\n";


// debug - do not translate
var msg_debug0 = "DEBUG: ";
var msg_debug1 = " (Select List) has invalid value ";
var msg_debug2 = "  Selecting 1st item instead";
var msg_debug3 = " (Radio button) has invalid value ";
var msg_sumvalue = "Called sumvalue(), but should not.\nUse badMacField instead.\n";
var msg_macblur = "Called MACAddressBlur(), but should not.\nUse badMacField instead.\n";
// === end debug



// Address Reservation - reserv.htm
var msg_name = "Name";
var msg_name_sel_pc = "Please Enter a Name for this PC.";



// Add Services - servinfo.htm
var msg_sev_name = "Service name";
var msg_start_port = "Start Port";
var msg_end_port = "End Port";
var msg_in_sport = "Start port is invalid, please enter again.\n";
var msg_in_eport = "End port is invalid, please enter again.\n";
var msg_s_e_port = "Start port should be less than End port, please enter again.\n";



// Backup Settings - backup.htm
var msg_in_filename = "Filename cannot be blank.\n";
var msg_confirm_restore = "Warning!\nRestoring settings from a config file will erase all of the current settings.\nAre you sure you want to do this?\n";



// Block Sites - keyword.htm
var msg_no_key = "No keyword selected.\n";
var msg_kw = "Keyword";
var msg_kw_exis = "This Keyword already exists.\n";



// DDNS - ddns.htm
var msg_host_name = "Host Name";
var msg_user_name = "User Name";
var msg_pw = "Password";



// Diagnostics - diag.htm
var msg_restart = "Warning! Restarting will break any existing connections either to the Router (such as this one) or through the Router (for example, LAN users accessing the Internet).\n";
var msg_netname_blank = "Internet name can not be blank.\n";
var msg_in_netname = "Invalid Internet name, please enter again.\n";
var msg_in_entry = "No entry selected. \nClick a radio button to select an entry.\n";



// Edit Address Reservation - resedit.htm
var msg_device_name = "Device Name";



// E-mail - email.htm
var msg_ip_fm = "Incorrect IP address format or domain name format.\n";
var msg_ad_fm = "Incorrect email address format.\n";



// Firewall Rules - fw_rules.htm
var msg_dmz_ip = "DMZ IP";
var msg_n_pos = "New Position";
var msg_in_pos = "Invalid position. Please re-enter ";
 


// Firewall Services

// Inbound Services - rule_in.htm
var msg_in_lan_ip = "Invalid LAN IP Address, please enter again.\n";
var msg_in_wan_sip = "Invalid WAN start IP address, please enter again.\n";
var msg_in_wan_fip = "Invalid WAN finish IP address, please enter again.\n";
var msg_in_wan_sip_fip = "WAN start IP must be less than finish IP.\n";

// Outbound Services - rule_out.htm
var msg_in_lan_sip = "Invalid LAN start IP address, please enter again.\n";
var msg_in_lan_fip = "Invalid LAN finish IP address, please enter again.\n";
var msg_in_lan_sip_fip = "LAN start ip must less than finish ip!\n";



// Firmware Upgrade - upgrade.htm
var up_msg = "Continue?\nAll existing Internet connections will be terminated.\n";
var msg_no_file = "No filename provided. Please select the correct file.\n";
var msg_in_file = "Invalid filename was provided, please enter again:(*.img).\n";
var msg_in_file_chk = "Invalid filename was provided, please enter again:(*.chk).\n";



// ISP

// General - ether.htm  /  Wireless Station Access List - m_access.htm  /  (Internet Connection Setup - con_ether.htm) / (con_pppoa.htm / con_pppoe.htm) / (con_wiz_ip.htm / con_wiz_ipoa.htm)
var msg_in_ip = "Invalid IP Address, please enter again.\n";
var msg_in_mask = "Invalid Subnet Mask, please enter again.\n"; 
var msg_in_gate = "Invalid Gateway IP Address, please enter again.\n";
var msg_in_pdns = "Invalid Primary DNS Address, please enter again.\n";
var msg_in_sdns = "Invalid Secondary DNS Address, please enter again.\n";
var msg_in_mac = "Invalid MAC address, please enter it again.\n";
var msg_ch_nat = "Change NAT setting?\n\nRouter is reset to factory defaults when the NAT setting is changed,\nall the current data will be lost!\n";
var msg_nat = "Warning! Internet access may be lost!\n\nNAT allows all LAN PCs to have Internet access \nby sharing this Router's WAN IP address. \n\nWhen NAT is disabled, only standard routing \nis performed by this Router.\n";
var msg_dns_auto = "The DNS address cannot be obtained automatically with this IP address setting\nPlease enter a DNS address before saving.\n";
var msg_fixip_gaw = "WAN IP and Gateway IP Address not in the same subnet !\n";
var msg_fixip_lan = "WAN ip and lan ip in the same subnet !\n";


// PPPoE - pppoe.htm  (con_pppoa.htm)
var msg_nat_gate = "Warning! Internet access may be lost!\n\nNAT allows all LAN PCs to have Internet access \nby sharing this Gateway's WAN IP address. \n\nWhen NAT is disabled, only standard routing \nis performed by this Gateway.\n";
var msg_num_idle_time = "Invalid idle time,please enter proper numeral!\n";
var msg_legal_idle_time = "Idle Time is illegal, legal range is 0..99.\n";

// bpa.htm, pptp

var msg_login_name = "Login";
var msg_login = "Login";
var msg_idle_time = "Idle time";
var msg_auth_server = "Authentication Server";
var msg_login_server = "Login Server";
var msg_in_stat_ip = "Invalid Static IP, please enter again\n";
var msg_in_ser_ad = "Invalid Server Address, please enter again\n";
var msg_in_my_ip = "Invalid My IP Address, please enter again, or leave it blank if using a Dynamic IP.\n";


// LAN IP Setup - lan.htm  
var msg_val_ip = "Invalid IP Address, valid range is 1.0.0.1 to 223.255.255.254.\n";
var msg_dhcp_sip = "Invalid DHCP Starting IP address, please enter again.\n";
var msg_dhcp_eip = "Invalid DHCP Ending IP address, please enter again.\n";



// Logs - log.htm
var msg_enable_send = "\"Send Log\" feature is disabled. \n\nTo enable it, configure the E-mail screen.\nEnsure \"Turn e-mail notification on\" is enabled.\n";



// Port Triggering  -  p_trigg.htm
var msg_trigger_timeout = "Port Triggering Timeout";

// Port Triggering - Services  -  rule_trigg.htm
var msg_in_trigg_port = "Triggering Port is invalid, please enter again.\n";
var msg_trigg_port = "Triggering Port";



// Router Rebooting - reboot_pg.htm
var finish_msg = "\Please check the TEST LED. \nIf it is off over 3 seconds, then it means the Router is ready and please click OK to re-connect.\n";



// Remote Management - remotemg.htm
var msg_in_ip_range = "Invalid IP address range, please enter again.\n";
var msg_in_sip_eip = "The starting IP Address should be less than the ending IP Address, \nplease enter again.\n";
var msg_r_port = "Remote Port Number";
var msg_in_port = "Invalid port number, please enter again.\n";



// Schedule - schedule.htm
var msg_s_hr = "Start hour";
var msg_s_min = "Start minute";
var msg_e_hr = "End hour";
var msg_e_min = "End minute";
var msg_ntp_ip = "Invalid NTP Server IP address, please enter again.\n";
var msg_in_shr = "The starting hour is invalid, please enter again (0 ~ 23).\n";
var msg_in_min = "The starting minute is invalid, please enter again (0 ~ 59).\n";
var msg_in_ehr = "The ending hour is invalid, please enter again (0 ~ 24).\n";
var msg_in_time = "The time is invalid, please enter again.\n";



// Set Password - password.htm  /  (con_wiz_pwd.htm)
var msg_in_pw = "The password you typed does not match, please enter it again.\n";
var msg_blank_pw = "The password can't include blank space, please enter it again.\n"


// Setup Wizard - wiz_sel.htm
var msg_select = "Please select one option.\n";



// Static Routes - routinfo.htm
var msg_route_name = "Route Name";
var msg_metric = "Metric";



// UPnP - upnp.htm
var msg_empt = " cannot be empty!\n";
var msg_num = " must be numeric!\n";
var msg_num_range1 = " must be greater than 0 and less than or equal to 1440 minutes!\n";
var msg_num_range2 = " must be greater than 0 and less than or equal to 255\n";



// VPN

// VPN - Auto Policy - vpn_auto.htm  /  (VPN Wizard - vw_gw02.htm)
var msg_poli_name = "Policy Name";
var msg_in_poli_name = "Policy name can't have spaces in it.\n";
var msg_in_vpn_ip = "Remote VPN Endpoint IP address is invalid.\n";
var msg_vpn_name = "Remote VPN Endpoint Domain name";
var msg_in_ping_ip = "Ping IP Address is invalid.\n";
var msg_in_lan_s_ip = "Local LAN start IP Address is invalid.\n";
var msg_in_lan_f_ip = "Local LAN finish IP Address is invalid.\n";
var msg_in_lan_range = "Local LAN IP range is invalid.\n";
var msg_in_lan_mask = "Local LAN Mask is invalid.\n";
var msg_in_rlan_s_ip = "Remote LAN start IP Address is invalid.\n";
var msg_in_rlan_f_ip = "Remote LAN finish IP Address is invalid.\n";
var msg_in_rlan_range = "Remote LAN IP range is invalid.\n";
var msg_in_rlan_mask = "Remote LAN Mask is invalid.\n";
/* var msg_in_rid = "When Remote Endpoint is using a Dynamic IP address, ID type can not be IP address.\n"; */
var msg_dh_auto = "or DH group, 'Auto' is only available when acting as 'Responder'.\n";
var msg_auth_auto = "For Authentication, 'Auto' is only available when acting as 'Responder'.\n";
var msg_in_lid = "Local ID can not be blank.\n";
var msg_in_rid = "Remote ID can not be blank.\n";
var msg_psk_8 = "Pre-shared Key must be at least 8 characters.\n";
var msg_sa_life = "SA Life Time";

//  VPN Policies - vpn_list.htm
var msg_poli_full = "VPN Policy Table is full!\n";

// VPN Wizard - vw_gen.htm
/* var msg_psk = "Pre-shared Key"; */

// VPN Wizard - vw_gw01.htm
var msg_remote_end = "Please enter address of remote endpoint.\n";

// VPN - Manual Policy - vpn_man.htm
var msg_spi_in = "SPI - Incoming";
var msg_spi_out = "SPI - Outgoing";
var msg_in_des = "Invalid Encryption Key (DES = 8 chars, 3DES = 24 chars).\n";
var msg_in_md5 = "Invalid Authentication Key (MD5 = 16 chars, SHA-1 = 20 chars).\n";



// WAN Setup - security.htm
var msg_mtu = "MTU value";
var msg_in_conn = "With your current connection method, this setting has no effect.\n";



// Wireless

var changeMsg = "WARNING: Selecting the incorrect region may result in a violation of applicable law. \nDo you agree to act in accordance with these settings?\n";
var msg_region = "Please select the correct region for your location.\n";
var msg_ssid = "Name (SSID)";
var msg_key64_type = "Key %s is invalid.\nKeys can be either Hex (0~9 and A~F) or ASCII." + "\nKey length for 64 bit keys is 10 Hex chars, or 5 ASCII chars. \nDefault key is required, other keys are optional.";
var msg_key128_type = "Key %s is invalid.\nKeys can be either Hex (0~9 and A~F) or ASCII." + "\nKey length for 128 bit keys is 26 Hex chars, or 13 ASCII chars. \nDefault key is required, other keys are optional.";
var msg_wpapsk = "WPA-PSK Passphrase must be between 8 and 63 characters in length.\n";
var msg_pass_1c = "Passphrase must be at least 1 character.\n";
var msg_key_max = "Maximum Key length is %s characters.\n";
var msg_encry_dis = "Encryption is disabled.\n";
var msg_key_update = "Key update";
var msg_hexkey = "Invalid Key. \nHex keys can only include the characters 0~9 and A~F.\nKey size is 10 chars (64bit) or 26 chars (128bit)";
var msg_asciikey = "Invalid Key. \nKey size is 5 chars (64bit) or 13 chars (128bit)";

// Wireless Settings (advanced) - wire_adv.htm
var msg_val_frag = "The Fragmentation Threshold should be between 256-2346.\n";
var msg_val_c_r_ts = "The CTS/RTS Threshold should be between 256-2346.\n";

// Wireless Card Access Setup (advanced) - addmac.htm
var msg_wl_pc = "Please select a Wireless PC from the list or manually enter the Wireless PC Card Information.\n";
var msg_wlcard_name = "Please enter a name for selected Wireless PC Card.\n";

// Wireless Access List (advanced) - m_access.htm
var msg_edit_sel = "Please select an item to edit.\n";
var msg_del_sel = "Please select an item to delete.\n";

// (con_wiz_wepexist.htm)
var msg_wep_blank = "WEP Key can not be blank.\n";
var msg_wep_hex = "WEP Key must be entered in Hex. Hex chars are 0 ~ 9 and A ~ F.\n";
var msg_wep_length = "WEP key length is invalid. WEP64 keys are 10 chars, WEP128 keys are 26 chars.\n";

// (con_wiz_wepnew.htm)
var msg_wep_pass = "WEP Passphrase";

// Wireless Settings - wire_wpa8021.htm
var msg_radious = "Radius Server Name/IP Address";
var msg_radious_port = "Radius Port";
var msg_shared_key = "Shared Key";




